/**
 * testcase.c
 * Copyright (C) 2008 Markus Broeker
 */

#define _XOPEN_SOURCE 500

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main (int argc, char **argv)
{
    char line[83];
    char *token;

    if (argc != 4) {
        printf ("Usage: %s <string> <delim> <delim>\n", argv[0]);
        return EXIT_FAILURE;
    }

    snprintf (line, 80, "%s\r\n", argv[1]);

    token = strtok (line, argv[2]);

    while (token) {
        printf ("TOKEN: %s\n", token);
        token = strtok (NULL, argv[3]);
    }

    printf ("\nTest finished\n");

    return EXIT_SUCCESS;
}
